org.apache.sling.event.jobs.consumer

## Interface JobConsumer.AsyncHandler

Enclosing interface:
  JobConsumer

    public static interface JobConsumer.AsyncHandler

If the consumer decides to process the job asynchronously, this handler interface can be used to notify finished processing. The asynchronous handler can be retried using the property name `JobConsumer.PROPERTY_JOB_ASYNC_HANDLER`.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `cancel()`
`void` `failed()`
`void` `ok()`

### Method Detail

#### failed

    void failed()

#### ok

    void ok()

#### cancel

    void cancel()